Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.cipher
Class AgentCipherProviderFactoryImpl

    java.lang.Object
      com.rsa.ace.techservice.cipher.AgentCipherProviderFactoryImpl

    public class AgentCipherProviderFactoryImpl

extends java.lang.Object

This implements the agent cipher provider factory. This creates AgentCipherProvider objects based on either a cipher suite provided or by looking at an agent buffer.

Method Summary
`static AgentCipherProvider` | `getCipherProvider(byte[] agentBuffer, int headerSize, byte[] keyData)` Cipher provider factory interface for existing packets.
`static AgentCipherProvider` | `getCipherProvider(byte cipherSuite, byte[] keyData)` Cipher provider factory interface for new packet construction.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCipherProvider

    public static AgentCipherProvider getCipherProvider(byte cipherSuite,
                                                        byte[] keyData)
                                                 throws AgentCipherException

  Cipher provider factory interface for new packet construction.

  Parameters:
    `cipherSuite` - The CipherSuite to be used for the packet.
    `keyData` - The key to be used in the construction of the cipher provider.
  Returns:
    An Agent Cipher Provider.
  Throws:
    `AgentCipherException` - For unknown or unsupported cipher-suites.

### getCipherProvider

    public static AgentCipherProvider getCipherProvider(byte[] agentBuffer,
                                                        int headerSize,
                                                        byte[] keyData)
                                                 throws AgentCipherException

  Cipher provider factory interface for existing packets. For existing packets, the first byte in the header contains the cipher suite.

  Parameters:
    `agentBuffer` - The packet buffer. This is a complete agent packet including the cipher suite.
    `headerSize` - This is the size of the cleartext, unencrypted header.
    `keyData` - The key to be used in the construction of the cipher provider.
  Returns:
    An Agent Cipher Provider.
  Throws:
    `AgentCipherException` - For unknown or unsupported cipher-suites.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.